<?php

namespace App\Http\Controllers\Admin;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\StoreUsersRequest;
use App\Http\Requests\Admin\UpdateUsersRequest;

use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use DB;
use Hash;
use DataTables;

use App\Imports\UsersImport;
use Maatwebsite\Excel\Facades\Excel;
use Illuminate\Support\Arr;

use Brian2694\Toastr\Facades\Toastr;

class AccountController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $userid = auth()->user()->id;
        $users = DB::table('users')->where('id', $userid)->first(); 

         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('admin.accounts.edit', compact('users')); 
         } else {
            return view('admin.accounts.editm', compact('users')); 
         }         

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $users = User::where('id', '=', $id)->first(); 

        $users->name = $request->name;
        if ($request->hasFile('emp_photo')){
            if($request->emp_photo->getClientOriginalName())
            {
                $ext = $request->emp_photo->getClientOriginalExtension();
                $emp_photo = $request->name.'.'.$ext;
                $request->emp_photo->storeAs('public/employees', $emp_photo);
            }else{
                $emp_photo='';            
            }
        } else {
            $emp_photo='';        
        }
        if ($request->hasFile('emp_photo')){
            $users->filename = $emp_photo;    
        } 


        $users->email = $request->email;

        $users->save();        
    
    

        Toastr::success('Account Setting updated Successfully :)','Account Settings');

        return redirect()->route('home')
                        ->with('success','User updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
