<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

//use App\Exports\DepartmentsExport;
//use App\Imports\DepartmentsImport;
use Maatwebsite\Excel\Facades\Excel;

use App\Models\Element;
use Spatie\Permission\Models\Permission;

use DataTables;

use Brian2694\Toastr\Facades\Toastr;

class ElementsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */

    function __construct()
    {
         
         //$this->middleware('permission:Leaves-list|Leaves-show|Leaves-create|Leaves-edit|Leaves-delete|Leaves-import', ['only' => ['index','store']]);
         $this->middleware('permission:Permissions-list|Permissions-show', ['only' => ['index','show']]); 
         $this->middleware('permission:Permissions-list', ['only' => ['show']]);
         $this->middleware('permission:Permissions-create', ['only' => ['create','store']]);
         $this->middleware('permission:Permissions-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:Permissions-delete', ['only' => ['destroy']]);
         $this->middleware('permission:Permissions-import', ['only' => ['importExportView']]);
         $this->middleware('permission:Permissions-export', ['only' => ['export']]);
    }

    
    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->spermission) || !empty($request->scategory))
              {

                $query = DB::table('elements');
                $query = $query->select('*', 'permissioncats.category');
                $query = $query->leftJoin('permissioncats', 'permissioncats.catid', '=', 'elements.catid'); 

                if(!empty($request->spermission)) {
                    $query = $query->where('elements.element', 'LIKE',"%{$request->spermission}%");
                };

                if(!empty($request->scategory)) {
                    $query = $query->where('elements.catid', '=',$request->scategory);
                };                

                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
                $query = DB::table('elements');
                $query = $query->select('*', 'permissioncats.catid', 'permissioncats.category');
                $query = $query->leftJoin('permissioncats', 'permissioncats.catid', '=', 'elements.catid'); 
                $data= $query; 

              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.elements.show',$row->id);
                $edit =  route('admin.elements.edit',$row->id);
                $delete =  route('admin.elements.destroy',$row->id);
                $token =  csrf_token();      

                return "<div class='btn-group'>
                            <button aria-expanded='false' aria-haspopup='true' data-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' style='font-size:12px'>
                              <a class='dropdown-item' title='Edit' href='#openModal' onclick='EditData(this)' type='button' id=".$row->id. "><i class='fa fa-edit text-green' style='color:green;'></i><small> Edit</small></a>
                              <a class='dropdown-item' title='Delete' href='#' onclick='DeleteData(this)' type='button' id=".$row->id. "><i class='fa fa-trash text-red' style='color:red;'></i><small> Delete</small></a>
                            </div>
                        </div>";


                
            })
            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

        $query = DB::table('elements');
        $query = $query->select('*', 'permissioncats.catid', 'permissioncats.category');
        $query = $query->leftJoin('permissioncats', 'permissioncats.catid', '=', 'elements.catid'); 
        $elements= $query; 

         $permissioncats = DB::table("permissioncats")->orderBy('category', 'ASC')->get();    

         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('admin.elements.index', compact('elements', 'permissioncats'));
         } else {
            return view('admin.elements.indexm', compact('elements', 'permissioncats'));
         }

              
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Element $elements)
    {
        $elements->element = $request->element;
        
        //$categories = explode('|', $request->category);
        //$categoryno = $categories[0];
        //$category = $categories[1];

        //$elements->permissioncat_id = $request->category;
        $elements->catid = $request->category;

        $elements->save();


        for($i = 1; $i <= 5; $i++) {
            $permissions = new Permission;
            if($i==1){
                $permissions->name = $request->element. "-list";
            }
            if($i == 2){
                $permissions->name = $request->element. "-create";
            }
            if($i == 3){
                $permissions->name = $request->element. "-edit";
            }
            if($i == 4){
                $permissions->name = $request->element. "-delete";
            }
            if($i == 5){
                $permissions->name = $request->element. "-import";
            }

            $permissions->element = $request->element;
            $permissions->catid = $request->category;
            $permissions->guard_name = "web";
            $permissions->save();
        }   

        Toastr::warning('Group Permission Added Successfully :)','Group Permission');     

        return redirect()->route('admin.elements.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request, $id)
    {

        $id2 = $request->id;

        $elements = DB::table('elements')->where('id', $id2)->first();
        $element = $elements->element;
        //Element::destroy($id);
        $elements = DB::table('elements')->where('id', $id2)->delete(); 
        $permissions = DB::table('permissions')->where('element', $element)->delete();

        Toastr::warning('Permission Deleted Successfully :)','Permissions');


        //return redirect()->route('admin.elements.index');
    }



    public function getElements(Request $request) 
    {

        $id = $request->id;

        $elements = DB::table('elements')->where('id', $id)->first();
        $element = $elements->element;
        $catid = $elements->catid;
        $permissioncats = DB::table('permissioncats')->where('catid', $catid)->first();
        $category = $permissioncats->category;

        echo $id. "|". $element. "|". $catid. "|". $category;

    }  

    public function updateElements(Request $request) 
    {
        $id = $request->id;
        $elements = Element::where('id', '=', $id)->first(); 
        $oldelement = $elements->element;
        $elements->element = $request->element;
        $elements->catid = $request->catid;
        $elements->save();

        $permissions = DB::table('permissions')->where('element', $oldelement)->orderBy('id', 'ASC')->get(); 
        $x = 1;
        foreach($permissions as $permission1){
            $editpermission = Permission::where('id', '=', $permission1->id)->first(); 
            if($x == 1){
                $editpermission->name = $request->element. "-list";
            }
            if($x == 2){
                $editpermission->name = $request->element. "-create";
            }            
            if($x == 3){
                $editpermission->name = $request->element. "-edit";
            } 
            if($x == 4){
                $editpermission->name = $request->element. "-delete";
            }
            if($x == 5){
                $editpermission->name = $request->element. "-import";
            }

            $editpermission->element = $request->element;
            $editpermission->save();
            $x = $x + 1;
        }

        return json_encode(array('statusCode'=>200));

    } 


}
