<?php

namespace App\Http\Controllers\Admin;


use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

//use App\Exports\DepartmentsExport;
//use App\Imports\DepartmentsImport;
use Maatwebsite\Excel\Facades\Excel;

use App\Models\Permissioncat;
use App\Models\Element;
use Spatie\Permission\Models\Permission;

use DataTables;

use Response;

use Brian2694\Toastr\Facades\Toastr;

class PermissioncatController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    function __construct()
    {
         
         //$this->middleware('permission:Leaves-list|Leaves-show|Leaves-create|Leaves-edit|Leaves-delete|Leaves-import', ['only' => ['index','store']]);
         $this->middleware('permission:Permissions-list|Permissions-show', ['only' => ['index','show']]); 
         $this->middleware('permission:Permissions-list', ['only' => ['show']]);
         $this->middleware('permission:Permissions-create', ['only' => ['create','store']]);
         $this->middleware('permission:Permissions-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:Permissions-delete', ['only' => ['destroy']]);
         $this->middleware('permission:Permissions-import', ['only' => ['importExportView']]);
         $this->middleware('permission:Permissions-export', ['only' => ['export']]);
    }


    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->scategory))
              {

                $query = DB::table('permissioncats');
                $query = $query->select('*');

                if(!empty($request->scategory)) {
                    $query = $query->where('category', 'LIKE',"%{$request->scategory}%");
                };

               //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
               $data = DB::table('permissioncats')
                 ->select('*');
                 //->get();
              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.permissioncats.show',$row->catid);
                $edit =  route('admin.permissioncats.edit',$row->catid);
                $delete =  route('admin.permissioncats.destroy',$row->catid);
                $token =  csrf_token();   



                return "<div class='btn-group'>
                            <button aria-expanded='false' aria-haspopup='true' data-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' style='font-size:12px'>
                              <a class='dropdown-item' title='Edit' href='#openModal' onclick='EditPermissionCat(this)' type='button' id=".$row->catid. "><i class='fa fa-edit text-green' style='color:green;'></i><small> Edit</small></a>
                              <a class='dropdown-item' title='Delete' href='#' onclick='DeletePermission(this)' type='button' id=".$row->catid. "><i class='fa fa-trash text-red' style='color:red;'></i><small> Delete</small></a>
                            </div>
                        </div>";
                
            })
       
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         $permissioncats = DB::table('permissioncats')
              ->select('*')
              ->orderBy('categoryno', 'ASC')
              ->get();


         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('admin.permissioncats.index', compact('permissioncats'));
         } else {
            return view('admin.permissioncats.indexm', compact('permissioncats'));
         }
              
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Permissioncat $permissioncats)
    {

        if($categories = DB::table('permissioncats')->orderBy('categoryno', 'DESC')->limit(1)->first()){
            $categoryno = $categories->categoryno + 1;
        } else {
            $categoryno = 1;
        }
        

        $permissioncats->categoryno = $categoryno;
        $permissioncats->category = $request->category;
        $permissioncats->save();

        return redirect()->route('admin.permissioncats.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request, $id)
    {
        
        $id2 = $request->id;

        //$permissioncat->delete();
        //$permissioncats = Permissioncat::where('catid', '=', $id)->first();
        //$permissioncats = DB::table('permissioncats')->where('catid', $id)->first();

        $elements = DB::table('elements')->where('catid', $id2)->get();
        foreach($elements as $element1){
            $element = $element1->element;
            $permissions = DB::table('permissions')->where('element', $element)->get();
            foreach($permissions as $permission1){
                $rolepermissions = DB::table('role_has_permissions')->where('permission_id', $permission1->id)->delete();
            }
            $permissions = DB::table('permissions')->where('element', $element)->delete();  
        }

        $elements = DB::table('elements')->where('catid', $id2)->delete();  

        //Permissioncat::destroy($id);
        $permissioncat = DB::table('permissioncats')->where('catid', $id2)->delete();  
        
        Toastr::warning('Permission Category Deleted Successfully :)','Permission Category');

        
        //return json_encode(array('statusCode'=>200));
        //return redirect()->route('admin.permissioncats.index'); 

    }

    public function getpermissioncat(Request $request) 
    {

        $id = $request->id;

        $permissioncats = DB::table('permissioncats')->where('catid', $id)->first();
        $catid = $permissioncats->catid;
        $category = $permissioncats->category;

        echo $catid. "|". $category;

    } 

    public function updatecatpermission(Request $request) 
    {
        $catid = $request->catid;
        $permissioncats = Permissioncat::where('catid', '=', $catid)->first(); 
        $permissioncats->category = $request->category;    
        $permissioncats->save();

        return json_encode(array('statusCode'=>200));
        //return view('admin.permissioncats.index');
    }     
}
