<?php

namespace App\Http\Controllers\Billboard;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;


use App\Models\Branch;
use App\Models\Program;

use DataTables;

use Brian2694\Toastr\Facades\Toastr;

class BranchController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {

         if(request()->ajax())
         {
              if( !empty($request->branchid) || !empty($request->branch) || !empty($request->address) || !empty($request->progid))
              {

                $query = DB::table('branches');
                $query = $query->select('branches.*', 'programs.programname');
                //$query = $query->join('employees', 'employees.empno', '=', 'branches.empno');
                $query = $query->leftJoin('programs', 'programs.progid', '=', 'branches.progid');

                if(!empty($request->branchid)) {
                    $query = $query->where('branches.branchid', '=', $request->branchid);
                };

                if(!empty($request->branch)) {
                    $query = $query->where('branches.branch', 'LIKE',"%{$request->branch}%");
                };

                if(!empty($request->address)) {
                    $query = $query->where('branches.address', 'LIKE',"%{$request->address}%");
                };

                if(!empty($request->progid)) {
                    $query = $query->where('branches.progid', '=', $request->progid);
                };

                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
               $data = DB::table('branches')
                 ->select('branches.*', 'programs.programname')
                 ->leftJoin('programs', 'programs.progid', '=', 'branches.progid')
                 ->get();

              }



             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                $show = route('billboard.branches.show',$row->id);
                $edit =  route('billboard.branches.edit',$row->id);
                $delete =  route('billboard.branches.destroy',$row->id);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                return "<div class='btn-group'>
                            <button aria-expanded='false' aria-haspopup='true' data-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' style='font-size:12px'>
                              <a class='dropdown-item' href='{$show}'><i class='fa fa-desktop text-blue' style='color:blue;'></i><small> View</small></a>
                              <a class='dropdown-item' href='{$edit}'><i class='fa fa-edit text-green' style='color:green;'></i><small> Edit</small></a>
                              <form action='{$delete}' method='POST' onsubmit=\'return confirm('Are you sure you want to Delete Selected Record?');\' style='display: inline-block;'>".
                               "<input type='hidden' name='_method' value='DELETE'>".
                               "<input type='hidden' name='_token' value='{$token}'>". 
                               "<button type='submit' title = 'Delete' class='dropdown-item' style='border:none; background:none; cursor:pointer;'><i class='fa fa-trash text-red' style='color:red;'></i><small> Delete</small></button>".
                               "</form>
                            </div>
                        </div>";
                
            })
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         $branches = DB::table('branches')
                ->select('branches.*', 'programs.programname')
                ->leftJoin('programs', 'programs.progid', '=', 'branches.progid')
                ->get();

        $programs = DB::table("programs")->orderBy('progid', 'ASC')->get();    

         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('billboard.branches.index', compact('branches', 'programs'));
         } else {
            return view('billboard.branches.indexm', compact('branches', 'programs'));
         }        
              
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $programs = DB::table("programs")->orderBy('progid', 'ASC')->get();    
        $towns = DB::table("towns")->orderBy('towncode', 'ASC')->get();  

         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('billboard.branches.create', compact('programs', 'towns'));
         } else {
            return view('billboard.branches.createm', compact('programs', 'towns'));
         }         
        
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Branch $branches)
    {
        $branches->branchcode = $request->branchcode; 
        $branches->branchid = $request->branchid; 
        $branches->branch = $request->branch; 
        $branches->branchtype = $request->branchtype; 
        $branches->address = $request->address; 
        $branches->towncode = $request->towncode; 
        $branches->progid = $request->progid; 
        $branches->save();

        return redirect()->route('billboard.branches.index');        

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $branches = DB::table("branches")->where('id', $id)->first();   
        $townname =  DB::table("towns")->where('towncode', $branches->towncode)->first();   
        $programnames =  DB::table("programs")->where('progid', $branches->progid)->first(); 
        $programs = DB::table("programs")->orderBy('progid', 'ASC')->get();    
        $towns = DB::table("towns")->orderBy('towncode', 'ASC')->get();  

         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('billboard.branches.show', compact('branches', 'programs', 'towns', 'townname', 'programnames'));
         } else {
            return view('billboard.branches.showm', compact('branches', 'programs', 'towns', 'townname', 'programnames'));
         } 
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $branches = DB::table("branches")->where('id', $id)->first();   
        $townname =  DB::table("towns")->where('towncode', $branches->towncode)->first();   
        $programnames =  DB::table("programs")->where('progid', $branches->progid)->first(); 
        $programs = DB::table("programs")->orderBy('progid', 'ASC')->get();    
        $towns = DB::table("towns")->orderBy('towncode', 'ASC')->get();  

         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('billboard.branches.edit', compact('branches', 'programs', 'towns', 'townname', 'programnames'));
         } else {
            return view('billboard.branches.editm', compact('branches', 'programs', 'towns', 'townname', 'programnames'));
         } 
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $branches = Branch::where('id', '=', $id)->first(); 
        $branches->branchcode = $request->branchcode; 
        $branches->branchid = $request->branchid; 
        $branches->branch = $request->branch; 
        $branches->branchtype = $request->branchtype; 
        $branches->address = $request->address; 
        $branches->towncode = $request->towncode; 
        $branches->progid = $request->progid; 
        $branches->save();

        return redirect()->route('billboard.branches.index');     
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        DB::table("branches")->where('id',$id)->delete();

        Toastr::warning('Branch Deleted Successfully :)','Billboard');
        return redirect()->route('billboard.branches.index');
    }
}
