<?php

namespace App\Http\Controllers\Billboard;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Storage;


use Illuminate\Http\JsonResponse;
use Pion\Laravel\ChunkUpload\Exceptions\UploadFailedException;
use Illuminate\Http\UploadedFile;
use Pion\Laravel\ChunkUpload\Exceptions\UploadMissingFileException;
use Pion\Laravel\ChunkUpload\Handler\AbstractHandler;
use Pion\Laravel\ChunkUpload\Handler\HandlerFactory;
use Pion\Laravel\ChunkUpload\Receiver\FileReceiver;

use App\Models\Program;
use App\Models\Order;

use DataTables;

class ProgramController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {

         if(request()->ajax())
         {
               $data = DB::table('programs')
                 ->select('*')
                 ->get();


             return datatables()->of($data)        
            ->addColumn('action', function ($row) {
                $show = route('billboard.programs.show',$row->progid);
                $edit =  route('billboard.programs.edit',$row->progid);
                $delete =  route('billboard.programs.destroy',$row->progid);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                return "<div class='btn-group'>
                            <button aria-expanded='false' aria-haspopup='true' data-toggle='dropdown' data-boundary='viewport' class='btn-xs btn-primary dropdown-toggle' type='button'>
                            <small>Action</small> 
                            <span class='caret'></span></button>

                            <div class='dropdown-menu' style='font-size:12px'>
                              <a class='dropdown-item' href='{$show}'><i class='fa fa-desktop text-blue' style='color:blue;'></i><small> View</small></a>
                              <a class='dropdown-item' href='{$edit}'><i class='fa fa-edit text-green' style='color:green;'></i><small> Edit</small></a>
                              <form action='{$delete}' method='POST' onsubmit=\'return confirm('Are you sure you want to Delete Selected Record?');\' style='display: inline-block;'>".
                               "<input type='hidden' name='_method' value='DELETE'>".
                               "<input type='hidden' name='_token' value='{$token}'>". 
                               "<button type='submit' title = 'Delete' class='dropdown-item' style='border:none; background:none; cursor:pointer;'><i class='fa fa-trash text-red' style='color:red;'></i><small> Delete</small></button>".
                               "</form>
                            </div>
                        </div>";
                
            })
            ->make(true);


             // return datatables()->of($data)->make(true);
    


        }

         $programs = DB::table('programs')
             ->select('*')
             ->get();

         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('billboard.programs.index', compact('programs'));
         } else {
            return view('billboard.programs.indexm', compact('programs'));
         }              
              
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

         $sliders = DB::table('sliders')->orderBy('id', 'ASC')->get();
               
         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('billboard.programs.create', compact('sliders'));
         } else {
            return view('billboard.programs.createm', compact('sliders'));
         }         
        
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Program $programs)
    {

        $programs->programname = $request->programname;
        $programs->save();
        $progid = $programs->progid;



        $list = $request->orderlist;
        $listbox = explode(",", $list);

        /*
        for($i = 0;$i<count($listbox);$i++){
            //echo $i. $listbox[$i]."\n";
            $sliders = DB::table('sliders')->where('id',  $listbox[$i])->first();
            $orders = new Order;
            $orders->title = $sliders->title;
            $orders->save();
        } 
        */  
        //$orders = DB::table('orders')->where('progid', $progid)->delete();     
    
        foreach($listbox as $value){
            $sliders = DB::table('sliders')->where('id', $value)->first();

            $orders = new Order;
            $orders->progid = $progid;
            $orders->sliderid = $sliders->id;
            $orders->title = $sliders->title;
            $orders->type = $sliders->type;
            $orders->filename = $sliders->filename;
            $orders->validity = $sliders->validity;
            $orders->start = $sliders->start;
            $orders->end = $sliders->end;
            $orders->duration = $sliders->duration;
            $orders->save();
        }
        
          return redirect()->route('billboard.programs.index'); 

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
         $programs = DB::table('programs')->where('progid', $id)->first();   
         $sliders = DB::table('sliders')->orderBy('id', 'ASC')->get();
         $orders = DB::table('orders')->where('progid', $id)->get();
               
         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('billboard.programs.show', compact('programs', 'sliders', 'orders'));
         } else {
            return view('billboard.programs.showm', compact('programs', 'sliders', 'orders'));
         }  
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

         $programs = DB::table('programs')->where('progid', $id)->first();   
         $sliders = DB::table('sliders')->orderBy('id', 'ASC')->get();
         $orders = DB::table('orders')->where('progid', $id)->get();
               
         $agent = new \Jenssegers\Agent\Agent;    
         if($result = $agent->isDesktop()){
            return view('billboard.programs.edit', compact('programs', 'sliders', 'orders'));
         } else {
            return view('billboard.programs.editm', compact('programs', 'sliders', 'orders'));
         }  
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function updateprograms(Request $request)
    {

        $programs = Program::where('progid', '=', $request->progid)->first(); 
        $programs->programname = $request->programname;
        $programs->save();
        $progid = $request->progid;



        $list = $request->orderlist;
        $listbox = explode(",", $list);

        /*
        for($i = 0;$i<count($listbox);$i++){
            //echo $i. $listbox[$i]."\n";
            $sliders = DB::table('sliders')->where('id',  $listbox[$i])->first();
            $orders = new Order;
            $orders->title = $sliders->title;
            $orders->save();
        } 
        */  
        $orders = DB::table('orders')->where('progid', $progid)->delete();     
    
        foreach($listbox as $value){
            $sliders = DB::table('sliders')->where('id', $value)->first();

            $orders = new Order;
            $orders->progid = $progid;
            $orders->sliderid = $sliders->id;
            $orders->title = $sliders->title;
            $orders->type = $sliders->type;
            $orders->filename = $sliders->filename;
            $orders->validity = $sliders->validity;
            $orders->start = $sliders->start;
            $orders->end = $sliders->end;
            $orders->duration = $sliders->duration;
            $orders->save();
        }
        
          return redirect()->route('billboard.programs.index'); 

    }    
}
