@extends('layouts.plusadmin')
@section('content')
@parent

<style>
.footerbutton {
   position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
   height: 8%;
   margin-bottom: 33px;
   background-color: #fff;
   color: white;
   text-align: center;
}

.footer {
   position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
   height: 5%;
   margin-bottom: 0px;
   background-color: #fff;
   color: white;
   text-align: center;
}

.table-responsive,
.dataTables_scrollBody {
    overflow: visible !important;
}
 
.table-responsive-disabled .dataTables_scrollBody {
    overflow: hidden !important;
}

</style>

<div class="main-panel">
  <div class="content-wrapper">
    <div class="page-header">
      <h3 class="page-title">Create New Role</h3>
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="breadcrumb-item active" aria-current="page">User Management</li>
          <li class="breadcrumb-item"><a href="{{ route('admin.roles.index') }}">List of Roles</a></li>
          <li class="breadcrumb-item active" aria-current="page"> Create New Role </li>
        </ol>
      </nav>
    </div>
    <form method="post" action="{{ route('admin.roles.store') }}" enctype="multipart/form-data" onsubmit="return validateForm()">
    @csrf
    <div class="row">

        <div class="col-md-3 grid-margin stretch-card">
          <div class="card">
            <div class="card-body">
              <h4 class="card-title">Add New User Role</h4>
              <p class="card-description">Complete the Details below</p>

                <div class="form-group">
                  <label for="exampleInputUsername1">Name</label>
                  <input type="text" class="form-control" id="name" name="name" placeholder="Role Name" style="height:30px" />
                </div>

            </div>
          </div>
        </div>
        <div class="col-md-9 grid-margin stretch-card">
          <div class="card">
            <div class="card-body">
              <h4 class="card-title">List of Permissions</h4>
              

                                      <?php 
                                      $element = ""; 
                                      $category = ""; 
                                      ?>

                                      <table class="table table-head-fixed text-nowrap">
                                        <?php $x = 1; ?>
                                        @foreach($allpermissions->all() as $value)                                      

                                        
                                          @if($category != $value->category)
                                            <?php $category = $value->category; ?>  
                                            <tr>
                                              <th style="width: 35%">{{ $value->category }}</th>
                                              <th style="text-align: center">CHECK ALL</th>
                                              <th style="text-align: center">LIST</th>
                                              <th style="text-align: center">CREATE</th>
                                              <th style="text-align: center">EDIT</th>
                                              <th style="text-align: center">DELETE</th>
                                              <th style="text-align: center">IMPORT</th>
                                            </tr>
                                          @endif

                                            
                                            @if($element != $value->element)
                                              <tr > 
                                                    <?php 

                                                    $chkall = $x + 4;
                                                    $checkallid = $x. ", ". $chkall; 
                                                    
                                                    ?>
                                                    <td>{{ $value->element }}</td>
                                                    <?php $element = $value->element; ?>
                                                    <th style = "text-align: center;"><input type = "checkbox" id="{{ $checkallid }}" class="checkbox-column"  onclick = "toggleme(this)"/> </th>
                                                    @foreach($allpermissions->where('element', $element)->all() as $value2)
                                                        <td style = "text-align: center;">{{ Form::checkbox('permission[]', $value2->id, false, array('class' => $value2->id)) }}</td>
                                                        <?php $x = $x + 1; ?>
                                                    @endforeach
                                              </tr>
                                            @endif
                                        @endforeach
                                      </table>

            </div>
          </div>
        </div>
        <br><br><br>
        <div class="footerbutton">
            <div class="card-footer">
              <button type = "button" class="btn-sm btn-info" onclick="window.location.href='{{ route('admin.roles.index') }}'"><i class="fa fa-arrow-circle-left"></i> Back to List</button>
              <button type = "submit" class="btn-sm btn-success" id="mybtn"><i class="fa fa-paper-plane"></i> Save New Role</button>
            </div>
        </div> 

    </div>
    </form>
  </div>

  <footer class="footer">
    <div class="d-sm-flex justify-content-center justify-content-sm-between">
      <span class="text-muted d-block text-center text-sm-left d-sm-inline-block">Copyright © St Joseph Drug 2021</span>
      <span class="float-none float-sm-right d-block mt-1 mt-sm-0 text-center"><a href="https://www.stjosephdrug.com/" target="_blank">Digital Signage</a> <small>- Powered by JiwonSoft</small></span>
    </div>
  </footer>
  <!-- partial -->
</div>



<!-- jQuery -->
<script src="{{ asset('admin/plugins/jquery/jquery.min.js') }}"></script> 

<script src="{{ asset('plusadmin/vendors/js/vendor.bundle.base.js') }}"></script>
<!-- endinject -->

    <script src="{{ asset('plusadmin/vendors/select2/select2.min.js') }}"></script>

<!-- Plugin js for this page -->
<script src="{{ asset('plusadmin/vendors/jquery-bar-rating/jquery.barrating.min.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/chart.js/Chart.min.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/flot/jquery.flot.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/flot/jquery.flot.resize.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/flot/jquery.flot.categories.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/flot/jquery.flot.fillbetween.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/flot/jquery.flot.stack.js') }}"></script>
<!-- End plugin js for this page -->
<!-- inject:js -->
<script src="{{ asset('plusadmin/js/off-canvas.js') }}"></script>
<script src="{{ asset('plusadmin/js/hoverable-collapse.js') }}"></script>
<script src="{{ asset('plusadmin/js/misc.js') }}"></script>
<script src="{{ asset('plusadmin/js/settings.js') }}"></script>
<script src="{{ asset('plusadmin/js/todolist.js') }}"></script>
<!-- endinject -->
<!-- Custom js for this page -->
<script src="{{ asset('plusadmin/js/dashboard.js') }}"></script>

<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/dataTables.rowReorder.min.css') }}"> 
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/dataTables.responsive.min.css') }}"> 


<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.css') }}"> 
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/buttons.dataTables.min.css') }}"> 

<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.buttons.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jszip.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/pdfmake.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/vfs_fonts.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.html5.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.colVis.min.js') }}"></script> 

<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.rowReorder.min.js') }}"></script> 
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.responsive.min.js') }}"></script> 

<script src="{{ asset('plusadmin/js/select2.js') }}"></script>

<script>
function validateForm() {
  

  if(document.getElementById('name').value == ""){
    alert( 'Please Enter Name to Continue!' );
    return false;
  }

  if(document.getElementById('email').value == ""){
    alert( 'Please Enter Email Address to Continue' );
    return false;
  }  

  if(document.getElementById('password').value == ""){
    alert( 'Please Enter Password to Continue' );
    return false;
  }  

  if(document.getElementById('password').value != document.getElementById('confirm-password').value){
    alert( 'Password and Confirm Password does not Match!' );
    return false;
  }  


  var ok = confirm("Proceed with your Leave Application?");
  if(ok){  
    document.getElementById("mybtn").disabled = true;
    return true; 
  } else {  
    return false; 
  }
}
</script>

<script>
function toggleme(source) {

  var id = source.getAttribute('id');
  
  var array = id.split(', ');
  var start = array[0] - 1;
  var end = array[1];  
   
  var checkboxes = document.getElementsByName('permission[]');

  
  for(var i=start, n=checkboxes.length;i<end;i++) {
  //for(var i=0, n=checkboxes.length;i<end;i++) {
    checkboxes[i].checked = source.checked;
  }
}   
</script>

@endsection
