@extends('layouts.plusadmin')
@section('content')
@parent

<style>
.footerbutton {
   position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
   height: 8%;
   margin-bottom: 33px;
   background-color: #fff;
   color: white;
   text-align: center;
}

.footer {
   position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
   height: 5%;
   margin-bottom: 0px;
   background-color: #fff;
   color: white;
   text-align: center;
}

.table-responsive,
.dataTables_scrollBody {
    overflow: visible !important;
}
 
.table-responsive-disabled .dataTables_scrollBody {
    overflow: hidden !important;
}

</style>

<div class="main-panel">
  <div class="content-wrapper">
    <div class="page-header">
      <h3 class="page-title">View User</h3>
    </div>

      <div class="row">

            <div class="card">
              <div class="card-body">
                <h4 class="card-title">View User</h4>

                  <div class="form-group">
                    <label for="exampleInputUsername1">Name</label>
                    <input type="text" class="form-control" id="name" name="name" placeholder="Username" style="height:30px" value="{{ $user->name }}" readonly/>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">Email address</label>
                    <input type="email" class="form-control" id="email" name="email" placeholder="Email" style="height:30px" value="{{ $user->email }}" readonly/>
                  </div>

                  <div class="row">
                    <div class="col-sm-6">
                      <!-- text input -->
                      <div class="form-group">
                        <label>Password</label>
                        <input type="password" class="form-control" id="password" name="password" placeholder="Password" style="height:30px" value="{{ $user->password }}" readonly/>
                      </div>
                    </div>
                    <div class="col-sm-6">
                      <div class="form-group">
                        <label>Confirm Password</label>
                        <input type="password" class="form-control" id="confirm-password" name="confirm-password" placeholder="Confirm Password" style="height:30px" value="{{ $user->password }}" readonly/>
                      </div>
                    </div>
                  </div> 
                  <div class="form-group">
                    <label>Roles</label>
                    <select name="roles[]" id="roles" class="js-example-basic-multiple" multiple="multiple" data-placeholder="Select Role(s)" style="width: 100%;" disabled>
                    @foreach($roles as $id => $roles)
                        
                        <option value="{{ $id }}" {{ (in_array($id, old('roles', [])) || isset($user) && $user->roles()->pluck('name', 'id')->contains($id)) ? 'selected' : '' }}>{{ $roles }}</option>
                    @endforeach
                    </select>
                  </div>   
                  <div class="form-group">
                    <div class="nav-profile-image">
                      <img src="{{ asset('storage/employees/'. $user->filename) }}" width="20%" height="20%" alt="profile" />
                      <!--change to offline or busy as needed-->
                    </div>  
                  </div>

              </div>
            </div>



      </div>
        <br><br><br>
        <div class="footerbutton">
            <div class="card-footer">
              <div class="btn-group btn-block">
                <button type = "button" class="btn-sm btn-info" onclick="window.location.href='{{ route('admin.users.index') }}'" style="width: 100%"><i class="fa fa-arrow-circle-left"></i> Back to List</button>

              </div>
            </div>
        </div>     

  </div>

  <footer class="footer">
    <div class="d-sm-flex justify-content-center justify-content-sm-between">
      <span class="text-muted d-block text-center text-sm-left d-sm-inline-block">Copyright © St Joseph Drug 2021</span>
      <span class="float-none float-sm-right d-block mt-1 mt-sm-0 text-center"><a href="https://www.stjosephdrug.com/" target="_blank">Digital Signage</a> <small>- Powered by JiwonSoft</small></span>
    </div>
  </footer>
  <!-- partial -->
</div>



<!-- jQuery -->
<script src="{{ asset('admin/plugins/jquery/jquery.min.js') }}"></script> 

<script src="{{ asset('plusadmin/vendors/js/vendor.bundle.base.js') }}"></script>
<!-- endinject -->

    <script src="{{ asset('plusadmin/vendors/select2/select2.min.js') }}"></script>

<!-- Plugin js for this page -->
<script src="{{ asset('plusadmin/vendors/jquery-bar-rating/jquery.barrating.min.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/chart.js/Chart.min.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/flot/jquery.flot.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/flot/jquery.flot.resize.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/flot/jquery.flot.categories.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/flot/jquery.flot.fillbetween.js') }}"></script>
<script src="{{ asset('plusadmin/vendors/flot/jquery.flot.stack.js') }}"></script>
<!-- End plugin js for this page -->
<!-- inject:js -->
<script src="{{ asset('plusadmin/js/off-canvas.js') }}"></script>
<script src="{{ asset('plusadmin/js/hoverable-collapse.js') }}"></script>
<script src="{{ asset('plusadmin/js/misc.js') }}"></script>
<script src="{{ asset('plusadmin/js/settings.js') }}"></script>
<script src="{{ asset('plusadmin/js/todolist.js') }}"></script>
<!-- endinject -->
<!-- Custom js for this page -->
<script src="{{ asset('plusadmin/js/dashboard.js') }}"></script>

<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/dataTables.rowReorder.min.css') }}"> 
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/dataTables.responsive.min.css') }}"> 


<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.css') }}"> 
<link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/buttons.dataTables.min.css') }}"> 

<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.buttons.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jszip.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/pdfmake.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/vfs_fonts.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.html5.min.js') }}"></script>
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.colVis.min.js') }}"></script> 

<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.rowReorder.min.js') }}"></script> 
<script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.responsive.min.js') }}"></script> 

<script src="{{ asset('plusadmin/js/select2.js') }}"></script>

<script>
function validateForm() {
  

  if(document.getElementById('name').value == ""){
    alert( 'Please Enter Name to Continue!' );
    return false;
  }

  if(document.getElementById('email').value == ""){
    alert( 'Please Enter Email Address to Continue' );
    return false;
  }  

  if(document.getElementById('password').value == ""){
    alert( 'Please Enter Password to Continue' );
    return false;
  }  

  if(document.getElementById('password').value != document.getElementById('confirm-password').value){
    alert( 'Password and Confirm Password does not Match!' );
    return false;
  }  


  var ok = confirm("Are you sure you want to Update User?");
  if(ok){  
    document.getElementById("mybtn").disabled = true;
    return true; 
  } else {  
    return false; 
  }
}
</script>

@endsection
