


@extends('layouts.plusadmin')
@section('content')

<div class="container">
  <div class="row justify-content-center">
        <div class="col-md-8">

          <!-- Content Wrapper. Contains page content -->
          <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
              <div class="container-fluid">
                <div class="row mb-2">
                  <div class="col-sm-6">
                    <h1>Change Password</h1>
                  </div>
                  <div class="col-sm-12">
                    <ol class="breadcrumb float-sm-right">
                      <li class="breadcrumb-item"><a href="{{ url('/home') }}"><i class="fa fa-home"></i> Home</a></li>
                      <li class="breadcrumb-item">Change Password</li>
                    </ol>
                  </div>
                </div>
              </div><!-- /.container-fluid -->
            </section>

            <!-- Main content -->
            <section class="content">
              <div class="container-fluid">
                <div class="row">
                  <div class="col-12">


                <!-- /.card -->
                <div class="card card-primary card-outline">
                  <div class="card-header">
                    <h3 class="card-title">
                      <i class="fas fa-edit"></i>
                      Change Password
                    </h3>
                  </div>
                  <div class="card-body" >
                    <div style="padding-top: 20px" class="container-fluid">
                        @if(session('message'))
                            <div class="row mb-2">
                                <div class="col-lg-12">
                                    <div class="alert alert-success" role="alert">{{ session('message') }}</div>
                                </div>
                            </div>
                        @endif
                        @if($errors->count() > 0)
                            <div class="alert alert-danger">
                                <ul class="list-unstyled">
                                    @foreach($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        @yield('content')

                    </div>

                    <form action="{{ route('auth.change_password') }}" method="POST" enctype="multipart/form-data" onsubmit="return validateForm()">
                    @csrf
                    @method('PATCH')


                        <section class="content">
                          <div class="container-fluid">
                                <div class="form-group {{ $errors->has('current_password') ? 'has-error' : '' }}">
                                    <label for="current_password">Current Password *</label>
                                    <input type="password" id="current_password" name="current_password" class="form-control" required>
                                    @if($errors->has('current_password'))
                                        <em class="invalid-feedback">
                                            {{ $errors->first('current_password') }}
                                        </em>
                                    @endif
                                </div>
                                <div class="form-group {{ $errors->has('new_password') ? 'has-error' : '' }}">
                                    <label for="new_password">New Password *</label>
                                    <input type="password" id="new_password" name="new_password" class="form-control" required>
                                    @if($errors->has('new_password'))
                                        <em class="invalid-feedback">
                                            {{ $errors->first('new_password') }}
                                        </em>
                                    @endif
                                </div>
                                <div class="form-group {{ $errors->has('new_password_confirmation') ? 'has-error' : '' }}">
                                    <label for="new_password_confirmation">Confirm New Password *</label>
                                    <input type="password" id="new_password_confirmation" name="new_password_confirmation" class="form-control" required>
                                    @if($errors->has('new_password_confirmation'))
                                        <em class="invalid-feedback">
                                            {{ $errors->first('new_password_confirmation') }}
                                        </em>
                                    @endif
                                </div>
                                <div>
                                    <input class="btn btn-danger" type="submit" value="Change Password">
                                </div>
                          </div>
                    
                        </section>        

                    </form> 
                  </div>


                <!-- /.card-footer -->   
         


                </div>
                <!-- /.card -->

                  </div>
                  <!-- /.col -->
                </div>
                <!-- /.row -->
              </div>
              <!-- /.container-fluid -->
            </section>
            <!-- /.content -->
          </div>
          <!-- /.content-wrapper -->
        </div>
    </div>
</div>



<!-- jQuery -->
<script src="{{ asset('admin/plugins/jquery/jquery.min.js') }}"></script> 
<!-- Bootstrap 4 -->
<script src="{{ asset('admin/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
<!-- overlayScrollbars -->
<script src="{{ asset('admin/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js') }}"></script>

<!-- PAGE PLUGINS -->
<!-- jQuery Mapael 
<script src="{{ asset('plugins/jquery-mousewheel/jquery.mousewheel.js') }}"></script>
<script src="{{ asset('plugins/raphael/raphael.min.js') }}"></script>
<script src="{{ asset('plugins/jquery-mapael/jquery.mapael.min.js') }}"></script>
<script src="{{ asset('plugins/jquery-mapael/maps/usa_states.min.js') }}"></script> -->
<!-- ChartJS 
<script src="{{ asset('plugins/chart.js/Chart.min.js') }}"></script> -->



<!-- DataTables  & Plugins 

<script src="{{ asset('plugins/datatables/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('plugins/datatables-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
<script src="{{ asset('plugins/datatables-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ asset('plugins/datatables-responsive/js/responsive.bootstrap4.min.js') }}"></script>
<script src="{{ asset('plugins/datatables-buttons/js/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('plugins/datatables-buttons/js/buttons.bootstrap4.min.js') }}"></script>
<script src="{{ asset('plugins/jszip/jszip.min.js') }}"></script>
<script src="{{ asset('plugins/pdfmake/pdfmake.min.js') }}"></script>
<script src="{{ asset('plugins/pdfmake/vfs_fonts.js') }}"></script>
<script src="{{ asset('plugins/datatables-buttons/js/buttons.html5.min.js') }}"></script>
<script src="{{ asset('plugins/datatables-buttons/js/buttons.print.min.js') }}"></script>
<script src="{{ asset('plugins/datatables-buttons/js/buttons.colVis.min.js') }}"></script>  -->


<!-- AdminLTE App -->
<script src="{{ asset('admin/dist/js/adminlte.min.js') }}"></script>

<!-- AdminLTE for demo purposes -->
<script src="{{ asset('admin/dist/js/demo.js') }}"></script>



<script>
function validateForm() {
  
  var current_password = document.getElementById('current_password').value;
  var new_password = document.getElementById('new_password').value;
  var new_password_confirmation = document.getElementById('new_password_confirmation').value;

  var n = new_password.length;

  if(n < 6){
      alert("Password must be at least 6 characters");
       return false;
  }
  if(new_password != new_password_confirmation){
      alert("New Password and Confirm Password does not match!");
       return false;
  }



  var ok = confirm("Are you sure you want to Change Password?");
  if(ok){  
    return true; 
  } else {  
    return false; 
  }
}
</script>



@endsection

