@extends('layouts.login')
@section('content')

<div class="login-box">
  <!-- /.login-logo -->
  <div class="card card-outline card-success">
    <div class="card-header text-center">
      <a href="index.htm"><img src="{{ asset('admin/assets/img/sjdmainlogo.png') }}" height="50" width="200" alt="Logo" class="brand" /></a>      
    </div>
    <div class="card-body">
      <p class="login-box-msg">Please Select your Branch</p>
        @if(\Session::has('message'))
            <p class="alert alert-info">
                {{ \Session::get('message') }}
            </p>
        @endif
        <form method="POST" action="{{ route('login') }}" class="form-horizontal" style="margin-bottom: 0px !important;">   
        {{ csrf_field() }}  
        <div class="input-group mb-3">
            <input id="email" name="email" type="text" class="form-control @error('email') is-invalid @enderror"  value="{{ old('email') }}" required autocomplete="email" autofocus>
            @error('email')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror       
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">

            <input name="password" type="password" class="form-control @error('password') is-invalid @enderror" required autocomplete="current-password">
            @error('password')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
            @enderror          
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-8">
            <div class="icheck-primary">
              <input type="checkbox" id="remember" name = "remember" id="remember" {{ old('remember') ? 'checked' : '' }}>
              <label for="remember">
                Remember Me
              </label>
              
            </div>
          </div>
          <!-- /.col -->
          <div class="col-4">
            <button type="submit" class="btn btn-primary btn-block">Sign In</button>

          </div>
          <!-- /.col -->
        </div>
      </form>


      <!-- /.social-auth-links -->

      <p class="mb-1">

            @if (Route::has('password.request'))
                <a class="pull-left btn btn-link" href="{{ route('password.request') }}" style="padding-left:0">
                    {{ __('Forgot Your Password?') }}
                </a>
            @endif
      </p>
      <div class="social-auth-links text-center mt-2 mb-3">
        <img src="{{ asset('assets/img/Logo-small-bottom.png') }}" alt="small-logo.png">
      </div>
    </div>
    <!-- /.card-body -->
  </div>
  <!-- /.card -->
</div>
<!-- /.login-box -->

@endsection