@extends('layouts.plusadmin') 
@section('title', 'Dashboard')
@section('content')

        <div class="main-panel" id="content">
          <div class="content-wrapper pb-0">





            <!-- table row starts here -->
            <div class="row">
              <div class="col-xl-4 grid-margin">
                <div class="card card-stat stretch-card mb-3">
                  <div class="card-body">
                    <div class="d-flex justify-content-between">
                      <div class="text-white">
                        <h6>St Joseph Drug Billboard</h6>
                      </div>

                    </div>
                  </div>
                </div>
                <div class="card stretch-card mb-3">
                  <div class="card-body d-flex flex-wrap justify-content-between">
                    <div>
                      <h4 class="font-weight-semibold mb-1 text-black"> Number of Programs </h4>
                    </div>
                    <h3 class="text-success font-weight-bold">{{ $programs->count() }}</h3>
                  </div>
                </div>
                <div class="card stretch-card mb-3">
                  <div class="card-body d-flex flex-wrap justify-content-between">
                    <div>
                      <h4 class="font-weight-semibold mb-1 text-black"> Total Slides </h4>
                    </div>
                    <h3 class="text-success font-weight-bold">{{ $sliders->count() }}</h3>
                  </div>
                </div>
                <div class="card mt-3">
                  <div class="card-body d-flex flex-wrap justify-content-between">
                    <div>
                      <h4 class="font-weight-semibold mb-1 text-black"> Number of Branch with Program </h4>
                    </div>
                    <h3 class="text-danger font-weight-bold">{{ $branches->count() }}</h3>
                  </div>
                </div>
              </div>
              <div class="col-xl-8 stretch-card grid-margin">
                <div class="card">
                  <div class="card-body pb-0">
                    <h4 class="card-title mb-0">List of Slides</h4>
                  </div>
                  <div class="card-body p-0">
                    <div class="table-responsive">
                      <table class="table custom-table text-dark">
                        <thead>
                          <tr>
                            <th>Title</th>
                            <th>Type</th>
                            <th>Validity</th>
                          </tr>
                        </thead>
                        <tbody>
                          @foreach($sliders2 as $slider1)
                          <tr>
                            <td>{{ $slider1->title }}</td>
                            <td>{{ $slider1->type }}</td>
                            <td>{{ $slider1->validity }}</td>
                          </tr>
                          @endforeach
                        </tbody>
                      </table>
                    </div>
                    <a class="text-black font-13 d-block pt-2 pb-2 pb-lg-0 font-weight-bold pl-4" href="{{ route('billboard.sliders.index') }}">Show more</a>
                  </div>
                </div>
              </div>
            </div>


          </div>
          <!-- content-wrapper ends -->
          <!-- partial:partials/_footer.html -->
          <footer class="footer">
            <div class="d-sm-flex justify-content-center justify-content-sm-between">
              <span class="text-muted d-block text-center text-sm-left d-sm-inline-block">Copyright © stjosephdrug.com 2021</span>
              <span class="float-none float-sm-right d-block mt-1 mt-sm-0 text-center"> <a href="https://stjosephdrug.com/" target="_blank">Digital Signage</a> ver JS 1.0</span>
            </div>
          </footer>
          <!-- partial -->
        </div>

    <script src="{{ asset('plusadmin/vendors/js/vendor.bundle.base.js') }}"></script>
    <!-- endinject -->
    <!-- Plugin js for this page -->
    <script src="{{ asset('plusadmin/vendors/jquery-bar-rating/jquery.barrating.min.js') }}"></script>
    <script src="{{ asset('plusadmin/vendors/chart.js/Chart.min.js') }}"></script>
    <script src="{{ asset('plusadmin/vendors/flot/jquery.flot.js') }}"></script>
    <script src="{{ asset('plusadmin/vendors/flot/jquery.flot.resize.js') }}"></script>
    <script src="{{ asset('plusadmin/vendors/flot/jquery.flot.categories.js') }}"></script>
    <script src="{{ asset('plusadmin/vendors/flot/jquery.flot.fillbetween.js') }}"></script>
    <script src="{{ asset('plusadmin/vendors/flot/jquery.flot.stack.js') }}"></script>
    <!-- End plugin js for this page -->
    <!-- inject:js -->
    <script src="{{ asset('plusadmin/js/off-canvas.js') }}"></script>
    <script src="{{ asset('plusadmin/js/hoverable-collapse.js') }}"></script>
    <script src="{{ asset('plusadmin/js/misc.js') }}"></script>
    <script src="{{ asset('plusadmin/js/settings.js') }}"></script>
    <script src="{{ asset('plusadmin/js/todolist.js') }}"></script>
    <!-- endinject -->
    <!-- Custom js for this page -->
    <script src="{{ asset('plusadmin/js/dashboard.js') }}"></script>

@endsection