<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Auth\ChangePasswordController;


use App\Http\Controllers\HomeController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\ProductController;
//use App\Http\Controllers\SlidersController;
use App\Http\Controllers\OrderController;
use App\Http\Controllers\WelcomeController;
use App\Http\Controllers\CookieController;

//ADMIN
use App\Http\Controllers\Admin\UsersController;
use App\Http\Controllers\Admin\RolesController;
use App\Http\Controllers\Admin\ElementsController;
use App\Http\Controllers\Admin\PermissioncatController;
use App\Http\Controllers\Admin\AccountController;

//BILLBOARD
use App\Http\Controllers\Billboard\SliderController;
use App\Http\Controllers\Billboard\ProgramController;
use App\Http\Controllers\Billboard\BranchController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', [WelcomeController::class, 'index']);
Route::resource('welcome', WelcomeController::class);
Route::resource('cookies', CookieController::class);

//Route::resource('welcome', WelcomeController::class);
//Route::get('/', function () {
//    return view('welcome.index');
//});

//Route::get('/', function () {
//    return view('welcome');
//});


Route::get('detect', function() 
{ 
    $agent = new \Jenssegers\Agent\Agent; 
    //$result = $agent->isMobile(); 
    //dd($result); 
}); 


Auth::routes();

Route::get('/home', [HomeController::class, 'index'])->name('home');

Route::get('change_password', [ChangePasswordController::class, 'showChangePasswordForm'])->name('auth.change_password');
Route::patch('change_password', [ChangePasswordController::class, 'changePassword'])->name('auth.change_password');
//Route::get('logout', [LoginController::class, 'logout'])->name('auth.logout');


Route::get('/foo', function () {
    Artisan::call('storage:link');
});

Route::group(['middleware' => ['auth']], function() {
    Route::resource('roles', RoleController::class);
    Route::resource('users', UserController::class);
    Route::resource('products', ProductController::class);
});
//Route::resource('sliders', SlidersController::class);
//Route::post('uploadLargeFiles', [SlidersController::class, 'uploadLargeFiles'])->name('uploadLargeFiles');
Route::resource('orders', OrderController::class);

//ADMIN ##############################################################################################################

Route::group(['middleware' => ['auth'], 'prefix' => 'admin', 'as' => 'admin.'], function () {
    Route::resource('users', UsersController::class);
    Route::resource('roles', RolesController::class);
    Route::resource('elements', ElementsController::class);
    Route::resource('permissioncats', PermissioncatController::class);
    Route::resource('accounts', AccountController::class);
});

Route::post('allusers', [UsersController::class, 'allusers'])->name('allusers');
Route::post('allroles', [RolesController::class, 'allroles'])->name('allroles');

//Permissioncats
Route::post('getpermissioncat', [PermissioncatController::class, 'getpermissioncat'])->name('getpermissioncat');
Route::post('updatecatpermission', [PermissioncatController::class, 'updatecatpermission'])->name('updatecatpermission');

//Elements
Route::post('getElements', [ElementsController::class, 'getElements'])->name('getElements');
Route::post('updateElements', [ElementsController::class, 'updateElements'])->name('updateElements');

//BILLBOARD ##############################################################################################################
Route::group(['middleware' => ['auth'], 'prefix' => 'billboard', 'as' => 'billboard.'], function () {
    Route::resource('sliders', SliderController::class);
    Route::resource('programs', ProgramController::class);
    Route::resource('branches', BranchController::class);
});

Route::post('uploadLargeFiles', [SliderController::class, 'uploadLargeFiles'])->name('uploadLargeFiles');
Route::post('updateprograms', [ProgramController::class, 'updateprograms'])->name('updateprograms');


//billboard.stjosephdrug.com/foo  ---> to create the storage link on your production